[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ButtonPanel' (#lcl)

# TCustomButtonPanel.Create

Constructor for the class instance.

## Declaration

Source position: buttonpanel.pas line 99

`public constructor TCustomButtonPanel.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner for the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited constructor, and sets the default values for properties in the panel to the following:

Align
  alBottom
BevelInner
  bvNone
BevelOuter
  bvNone
Caption
  Set to an empty string ('')
AutoSize
  True
Spacing
  6
ShowBevel
  True
DefaultButton
  pbOK
ButtonOrder
  boDefault
ShowButtons
  DefShowButtons
ShowGlyphs
  DefShowGlyphs

The ControlStyle property is modified in the method to add the csOwnedChildrenNotSelectable style, and to remove the csSetCaption style.

Create calls the DoShowButtons method to create and configure the TPanelBitBtn instances used in the panel class.

## See also

TCustomPanel.Create |  | Constructor for the class instance.